TASK_MANAGER(8)

NAME
task_manager, task_manager.pl - Daemon to process periodical Sympa tasks

SYNOPSIS
"task_manager.pl" [ "--foreground" ] [ "--debug" ]

DESCRIPTION
Task_manager is a program which scans permanently the task spool and processes tasks. It also checks configuration of site and every list to create necessary tasks.

OPTIONS

"-d", "--debug"
    Sets the debug mode

"-f", "--config="file
    Force task_manager to use an alternative configuration file instead of /usr/pkg/etc/sympa/sympa.conf.

"-F", "--foreground"
    Prevents the script from being daemonized

"-h", "--help"
    Prints this help message.

"--log_level="level
    Set log level.

FILES
$SPOOLDIR/task/ directory for task spool.

$PIDDIR/task_manager.pid this file contains the process ID of task_manager.pl.

SEE ALSO
sympa_msg(8), wwsympa(8).

Sympa::Spindle::ProcessTask.

HISTORY
task_manager.pl was contributed by F. Guilleux. It appeared on Sympa 3.3a-vhost.10.